# Gio::ActionGroup Class Reference

ActionGroup - a group of actions. More...

`#include <giomm/actiongroup.h>`

Inheritance diagram for Gio::ActionGroup:
[legend]

List of all members.

## Public Member Functions

virtual | ~ActionGroup ()
GActionGroup* | gobj ()
| Provides access to the underlying C GObject.
const GActionGroup* | gobj () const
| Provides access to the underlying C GObject.
bool | has_action (const Glib::ustring& action_name) const
Glib::StringArrayHandle | list_actions () const
bool | get_action_enabled (const Glib::ustring& action_name) const
void | change_action_state (const Glib::ustring& action_name, const Glib::VariantBase&value)
void | activate_action (const Glib::ustring& action_name, const Glib::VariantBase& parameter)
void | action_added (const Glib::ustring& action_name)
void | action_removed (const Glib::ustring& action_name)
void | action_enabled_changed (const Glib::ustring& action_name, bool enabled)
void | action_state_changed (const Glib::ustring& action_name, const Glib::VariantBase& state)
Glib::SignalProxy1< void, const Glib::ustring& > | signal_action_added ()
Glib::SignalProxy2< void, const Glib::ustring&, bool > | signal_action_enabled_changed ()
Glib::SignalProxy1< void, const Glib::ustring& > | signal_action_removed ()
Glib::SignalProxy2< void, const Glib::ustring&, const Glib::VariantBase& > | signal_action_state_changed ()

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)

## Protected Member Functions

virtual void | on_action_added (const Glib::ustring& action_name)
virtual void | on_action_enabled_changed (const Glib::ustring& action_name, bool enabled)
virtual void | on_action_removed (const Glib::ustring& action_name)
virtual void | on_action_state_changed (const Glib::ustring& action_name, const Glib::VariantBase&value)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gio::ActionGroup > | wrap (GActionGroup* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

ActionGroup - a group of actions.

ActionGroup represents a group of actions.

Each action in the group has a unique name (which is a string). All method calls, except list_actions() take the name of an action as an argument.

The GActionGroup API is meant to be the 'public' API to the action group. The calls here are exactly the interaction that 'external forces' (eg: UI, incoming D-Bus messages, etc.) are supposed to have with actions. 'Internal' APIs (ie: ones meant only to be accessed by the action group implementation) are found on subclasses. This is why you will find -- for example -- get_action_enabled() but not an equivalent `set()` call.

Signals are emitted on the action group in response to state changes on individual actions.

## Constructor & Destructor Documentation

virtual Gio::ActionGroup::~ActionGroup | ( | ) | `[virtual]`

## Member Function Documentation

void Gio::ActionGroup::action_added | ( | const Glib::ustring& | action_name ) |

void Gio::ActionGroup::action_enabled_changed | ( | const Glib::ustring& | action_name,
|  | bool | enabled
| ) |  |

void Gio::ActionGroup::action_removed | ( | const Glib::ustring& | action_name ) |

void Gio::ActionGroup::action_state_changed | ( | const Glib::ustring& | action_name,
|  | const Glib::VariantBase& | state
| ) |  |

void Gio::ActionGroup::activate_action | ( | const Glib::ustring& | action_name,
|  | const Glib::VariantBase& | parameter
| ) |  |

static void Gio::ActionGroup::add_interface | ( | GType | gtype_implementer ) | `[static]`

void Gio::ActionGroup::change_action_state | ( | const Glib::ustring& | action_name,
|  | const Glib::VariantBase& | value
| ) |  |

bool Gio::ActionGroup::get_action_enabled | ( | const Glib::ustring& | action_name ) | const

GActionGroup* Gio::ActionGroup::gobj | ( | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

const GActionGroup* Gio::ActionGroup::gobj | ( | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

bool Gio::ActionGroup::has_action | ( | const Glib::ustring& | action_name ) | const

Glib::StringArrayHandle Gio::ActionGroup::list_actions | ( | ) | const

virtual void Gio::ActionGroup::on_action_added | ( | const Glib::ustring& | action_name ) | `[protected, virtual]`

virtual void Gio::ActionGroup::on_action_enabled_changed | ( | const Glib::ustring& | action_name,
|  | bool | enabled
| ) |  | `[protected, virtual]`

virtual void Gio::ActionGroup::on_action_removed | ( | const Glib::ustring& | action_name ) | `[protected, virtual]`

virtual void Gio::ActionGroup::on_action_state_changed | ( | const Glib::ustring& | action_name,
|  | const Glib::VariantBase& | value
| ) |  | `[protected, virtual]`

Glib::SignalProxy1< void,const Glib::ustring& > Gio::ActionGroup::signal_action_added | ( | ) |

Prototype:
  `void on_my_action_added(const Glib::ustring& action_name)`

Glib::SignalProxy2< void,const Glib::ustring&,bool > Gio::ActionGroup::signal_action_enabled_changed | ( | ) |

Prototype:
  `void on_my_action_enabled_changed(const Glib::ustring& action_name, bool enabled)`

Glib::SignalProxy1< void,const Glib::ustring& > Gio::ActionGroup::signal_action_removed | ( | ) |

Prototype:
  `void on_my_action_removed(const Glib::ustring& action_name)`

Glib::SignalProxy2< void,const Glib::ustring&,const Glib::VariantBase& > Gio::ActionGroup::signal_action_state_changed | ( | ) |

Prototype:
  `void on_my_action_state_changed(const Glib::ustring& action_name, const Glib::VariantBase& value)`

## Friends And Related Function Documentation

Glib::RefPtr< Gio::ActionGroup > wrap | ( | GActionGroup * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.